## ros-kinetic-rtmros-hironx 2.1.1

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.3)
project(rtmros_hironx)
find_package(catkin REQUIRED)
catkin_metapackage()

=== debian/changelog ===
ros-kinetic-rtmros-hironx (2.1.1-0xenial) xenial; urgency=high



 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Wed, 20 Feb 2019 00:00:00 -0000

ros-kinetic-rtmros-hironx (2.1.0-0xenial) xenial; urgency=high



 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Thu, 07 Sep 2017 00:00:00 -0000

ros-kinetic-rtmros-hironx (2.0.0-0xenial) xenial; urgency=high



 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Thu, 10 Aug 2017 00:00:00 -0000

ros-kinetic-rtmros-hironx (1.1.25-0xenial) xenial; urgency=high

  * [QNX log fetch] Fix to get it working again.
  * [QNX log fetch] Add a feature to remove existing .log files on QNX to save disk space. #508 <https://github.com/start-jsk/rtmros_hironx/pull/508>
  * Contributors: Isaac I.Y. Saito

 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Fri, 02 Jun 2017 00:00:00 -0000

ros-kinetic-rtmros-hironx (1.1.24-0xenial) xenial; urgency=high

  * [py] Better error msg, better doc about impedance control. #496 <https://github.com/start-jsk/rtmros_hironx/pull/496>, #499 <https://github.com/start-jsk/rtmros_hironx/pull/499>
  * Contributors: Isaac I.Y. Saito

 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Tue, 09 May 2017 00:00:00 -0000

ros-kinetic-rtmros-hironx (1.1.23-0xenial) xenial; urgency=high

  * [enhancement][test] Common testcase module location change #490 <https://github.com/start-jsk/rtmros_hironx/issues/490>.
  * [doc] More elaboration on startImpedance* methods.
  * [doc][calib] Cleanup pkg description.
  * Contributors: Isaac I.Y. Saito

 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Mon, 03 Apr 2017 00:00:00 -0000

ros-kinetic-rtmros-hironx (1.1.22-0xenial) xenial; urgency=high



 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Fri, 24 Mar 2017 00:00:00 -0000

ros-kinetic-rtmros-hironx (1.1.21-0xenial) xenial; urgency=high

  * [fix][hironx py] Let setTargetPose fail when invalid kinematic group name passed. #470 <https://github.com/start-jsk/rtmros_hironx/pull/470>
  * [capability][hrpsys-sim] Add hand camera feature.
  * [capability] Add rviz.launch. Now you can run RViz with a default view (without running MoveIt! when you don't need to).
  * Contributors: Isaac I.Y. Saito

 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Thu, 16 Mar 2017 00:00:00 -0000

ros-kinetic-rtmros-hironx (1.1.20-0xenial) xenial; urgency=high

  * [Capability] Enable head cameras for hrpsys simulator.
  * Contributors: Kei Okada

 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Thu, 09 Feb 2017 00:00:00 -0000

ros-kinetic-rtmros-hironx (1.1.19-0xenial) xenial; urgency=high

  * [fix] more precision on end effector's location
  * [fix][dynpick qnx driver] compilation.
  * [fix][hironx script] Correct exception when no ROS master found.
  * [fix] updated translation of last joint to match CAD data. updated arm end translation
  * Contributors: Hajime SAITO, Isaac I.Y. Saito, Kei Okada

 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Thu, 12 Jan 2017 00:00:00 -0000

ros-kinetic-rtmros-hironx (1.1.18-0xenial) xenial; urgency=high

  * [fix] servoOn error that returns always -1 for robots without Servo Controller RTC for hands. See https://github.com/start-jsk/rtmros_hironx/pull/398#pullrequestreview-5575278
  * [fix][moveit config] Fix Interactive Marker size.
  * Contributors: Isaac I.Y. Saito

 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Fri, 28 Oct 2016 00:00:00 -0000

ros-kinetic-rtmros-hironx (1.1.17-0xenial) xenial; urgency=high

  * [fix] Fix versioning; use StrictVersion to compare version string
  * [improve] acceptancetest_hironx.py: display what to do
  * [fix] acceptancetest to work with gazebo environment
  * [improve] ros_client.py : for ros_clinet to use control_msgs instaed of pr2_controllers, this should work on latest hrpsys_ros_bridge which support both interface
  * Contributors: Kei Okada

 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Thu, 13 Oct 2016 00:00:00 -0000

ros-kinetic-rtmros-hironx (1.1.16-0xenial) xenial; urgency=high

  * [fix] Use existing running hrtpsy components when available (fix to tork-a/rtmros_nextage/#248 <https://github.com/tork-a/rtmros_nextage/issues/248>)
  * [fix][hironx.py] Remove an arg that was merged by mistake.
  * Contributors: Isaac I.Y. Saito, Kei Okada

 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Mon, 11 Jul 2016 00:00:00 -0000

ros-kinetic-rtmros-hironx (1.1.15-0xenial) xenial; urgency=high

  * Workaround MoveIt! RRT issue (see https://github.com/tork-a/rtmros_nextage/issues/170).
  * Contributors: Isaac I.Y. Saito

 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Thu, 02 Jun 2016 00:00:00 -0000

ros-kinetic-rtmros-hironx (1.1.14-0xenial) xenial; urgency=high

  * [fix] remove duplicate functions, put them in upstream
  * [enhance][hironx.py] easier default model file location when operating the real robot.
  * Contributors: Kei Okada, Isaac I.Y. Saito

 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Thu, 19 May 2016 00:00:00 -0000

ros-kinetic-rtmros-hironx (1.1.13-0xenial) xenial; urgency=high

  * [fix] Correct collada file location for real robot.
  * [sys] Add better test for ros_client
    * Contributors: Kei Okada, Isaac I.Y. Saito

 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Mon, 16 May 2016 00:00:00 -0000

ros-kinetic-rtmros-hironx (1.1.12-0xenial) xenial; urgency=high

  * [fix][RTM py] Remove redundant connection for impedance controller RTC.
  * [fix][ROS py] fix segfault on ros_client exit.
  * [feat] Add QNX driver for Dynpick F/T sensor.
  * [fix][test_hironx_moveit.py] fix "rospy.init_node() has already been called with different arguments" exception.
  * [fix][test_hironx_moveit.py] old file names
  * [improve][test-hironx-moveit.test] Relax test duration.
  * Contributors: Isaac Kei Okada, I.Y. Saito

 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Thu, 05 May 2016 00:00:00 -0000

ros-kinetic-rtmros-hironx (1.1.11-0xenial) xenial; urgency=high

  * [fix][rqt dashboard] Enable to connect remote RTM nameserver (Fix #429)
  * [doc][hironx py] Add doc for overridden methods
  * Contributors: Isaac I.Y. Saito



=== debian/control ===
Source: ros-kinetic-rtmros-hironx
Section: misc
Priority: extra
Maintainer: Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>
Build-Depends: debhelper (>= 9.0.0), ros-kinetic-catkin
Homepage: http://ros.org/wiki/rtmros_hironx/
Standards-Version: 3.9.2

Package: ros-kinetic-rtmros-hironx
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-kinetic-hironx-calibration, ros-kinetic-hironx-moveit-config, ros-kinetic-hironx-ros-bridge
Description: The rtmros_hironx package is an operating interface via ROS and OpenRTM, for Hiro and NEXTAGE OPEN dual-armed robots from Kawada Industries Inc.
 NOTE for Hiro users: Utilizing this opensource controller for Hiro requires installation both on Controller Box (QNX-based) and Vision PC (Ubuntu Linux), and the steps for it are not shared publicly in order to avoid any possible inconvenience that can easily be caused by slight mis-operation during installation. Please contact TORK for an advice.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/kinetic/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh $@ -v --buildsystem=cmake

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/kinetic" \
		-DCMAKE_PREFIX_PATH="/opt/ros/kinetic"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-kinetic-rtmros-hironx//opt/ros/kinetic/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_install
